BASENC(1)

NAVN
basenc - kod/afkod data og udskriv til standard-ud

SYNOPSIS
basenc [FLAG]... [FIL]

BESKRIVELSE

Kod eller afkod FIL eller standard-ind med basenc, og udskriv til standard-ud.

Hvis ingen FIL er angivet, eller FIL er -, læses fra standard-ind.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

--base64
    samme som programmet "base64" (RFC4648 afsnit 4)

--base64url
    fil- og url-sikker base64 (RFC4648 afsnit 5)

--base32
    samme som programmet "base32" (RFC4648 afsnit 6)

--base32hex
    base32 med udvidet hex-alfabet (RFC4648 afsnit 7)

--base16
    hex-kodning (RFC4648 afsnit 8)

--base2msbf
    bitstreng med mest betydende bit (msb) først

--base2lsbf
    bitstreng med mindst betydende bit (lsb) først

-d, --decode
    afkod data

-i, --ignore-garbage
    ignorer ikke-alfabetiske tegn når der afkodes

-w, --wrap=KOLONNER
    ombryd kodede linjer efter KOLONNER tegn (normalt 76). Brug 0 for at slå linjeombrydning fra

--z85
    ascii85-agtig kodning (ZeroMQ spec:32/Z85); ved kodning skal inputlængde være multiplum af 4; ved afkodning skal inputlængde være multiplum af 5

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Under afkodning må inddata indeholde linjeskiftstegn ud over de byte som findes i det formelle base32-alfabet. Brug --ignore-garbage for at forsøge at fortsætte på trods af andre ikke-alfabetiske byte i den kodede strøm.

ENCODING EXAMPLES

    $ printf '\376\117\202' | basenc --base64
    /k+C
    $ printf '\376\117\202' | basenc --base64url
    _k-C
    $ printf '\376\117\202' | basenc --base32
    7ZHYE===
    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===
    $ printf '\376\117\202' | basenc --base16
    FE4F82
    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001
    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010
    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

FORFATTER
Skrevet af Simon Josefsson og Assaf Gordon.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/basenc>
eller lokalt tilgængelig via: info '(coreutils) basenc invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.